	.text
	.globl	__sincostab
	.section	.rodata
	.align 32
	.type	__sincostab, @object
	.size	__sincostab, 3520
__sincostab:
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	1072693248
	.long	0
	.long	0
	.long	-1431376145
	.long	1065353194
	.long	-328747140
	.long	-1138866718
	.long	1398098
	.long	1072693184
	.long	-1608946258
	.long	1016023553
	.long	-1427181867
	.long	1066401706
	.long	-1700853897
	.long	-1140675741
	.long	22369439
	.long	1072692992
	.long	-1606787341
	.long	1015188008
	.long	16986709
	.long	1066925936
	.long	1364357942
	.long	1006566955
	.long	113244134
	.long	1072692672
	.long	-395741251
	.long	1015736026
	.long	-1360074641
	.long	1067450026
	.long	-81638686
	.long	-1136864250
	.long	357902291
	.long	1072692224
	.long	-1831298213
	.long	-1132219068
	.long	-1322433067
	.long	1067712178
	.long	540875793
	.long	1010101332
	.long	873768890
	.long	1072691648
	.long	-1100195393
	.long	1013551604
	.long	271776681
	.long	1067974080
	.long	-194078342
	.long	-1136289347
	.long	1811806623
	.long	1072690944
	.long	1617202527
	.long	-1132940363
	.long	2019061164
	.long	1068235885
	.long	64746038
	.long	1008264445
	.long	-938460623
	.long	1072690112
	.long	-1109651866
	.long	1014269293
	.long	-286437669
	.long	1068497578
	.long	845695849
	.long	-1136471699
	.long	1430910163
	.long	1072689153
	.long	2073641583
	.long	1015228472
	.long	1031834607
	.long	1068629044
	.long	-420233649
	.long	-1134609102
	.long	581496735
	.long	1072688066
	.long	888491127
	.long	1012372297
	.long	315716955
	.long	1068759755
	.long	1385776780
	.long	-1135009391
	.long	1093267311
	.long	1072686851
	.long	935948183
	.long	-1133723837
	.long	-49236169
	.long	1068890385
	.long	46043394
	.long	-1135601585
	.long	-1010273301
	.long	1072685508
	.long	92031490
	.long	-1137333815
	.long	52777188
	.long	1069020929
	.long	402673690
	.long	1010498605
	.long	-1082233957
	.long	1072684038
	.long	-1254754085
	.long	1015224578
	.long	760599033
	.long	1069151376
	.long	2125209025
	.long	1012033901
	.long	1262739456
	.long	1072682441
	.long	-883977479
	.long	-1134368920
	.long	-2056767203
	.long	1069281719
	.long	501894344
	.long	1012830596
	.long	-2146526799
	.long	1072680716
	.long	-2033088852
	.long	1013883863
	.long	381799654
	.long	1069411951
	.long	800527987
	.long	-1136324722
	.long	2027011208
	.long	1072678864
	.long	1149089413
	.long	1015051730
	.long	-293147082
	.long	1069542062
	.long	-1127813061
	.long	-1135936334
	.long	1383947219
	.long	1072676885
	.long	1351937976
	.long	1015769331
	.long	-1914867247
	.long	1069609783
	.long	1917783966
	.long	1013810280
	.long	738068117
	.long	1072674779
	.long	-185181519
	.long	1015160237
	.long	-676344145
	.long	1069674707
	.long	160917925
	.long	-1134104683
	.long	641485779
	.long	1072672546
	.long	322578281
	.long	-1135269170
	.long	1581955215
	.long	1069739560
	.long	98492504
	.long	-1133622001
	.long	1679570674
	.long	1072670186
	.long	-317207428
	.long	1010847142
	.long	744318667
	.long	1069804337
	.long	1801898897
	.long	1013218662
	.long	175948840
	.long	1072667700
	.long	104559714
	.long	1015831403
	.long	1304818299
	.long	1069869034
	.long	717255420
	.long	1012484571
	.long	1077366017
	.long	1072665087
	.long	1295687244
	.long	-1134047169
	.long	-811522317
	.long	1069933647
	.long	104827318
	.long	-1134103485
	.long	773778678
	.long	1072662348
	.long	-516740330
	.long	-1131649772
	.long	-1067823796
	.long	1069998173
	.long	-1954428608
	.long	-1143788452
	.long	-16785884
	.long	1072659482
	.long	-998948687
	.long	-1132923557
	.long	800780981
	.long	1070062608
	.long	-499345469
	.long	1011198800
	.long	-543240676
	.long	1072656491
	.long	204922036
	.long	-1132029752
	.long	788179268
	.long	1070126947
	.long	1657518419
	.long	-1134424158
	.long	-21484851
	.long	1072653374
	.long	-1040308052
	.long	1014411274
	.long	-791756014
	.long	1070191186
	.long	-2135878787
	.long	1012515901
	.long	-1929418857
	.long	1072650132
	.long	1040429525
	.long	1013856781
	.long	695863141
	.long	1070255323
	.long	1473695211
	.long	-1134983109
	.long	-1122092423
	.long	1072646764
	.long	-307315881
	.long	1015102960
	.long	1323065753
	.long	1070319352
	.long	1786449067
	.long	1013563813
	.long	-1011625618
	.long	1072643271
	.long	-762694508
	.long	-1134421446
	.long	1484949923
	.long	1070383270
	.long	-1681359765
	.long	-1134008112
	.long	-682360851
	.long	1072639653
	.long	1599526275
	.long	1015858209
	.long	1605739984
	.long	1070447073
	.long	-691245118
	.long	-1134350816
	.long	814113951
	.long	1072635911
	.long	381786187
	.long	1014731780
	.long	2139809187
	.long	1070510757
	.long	-1353241365
	.long	-1134510586
	.long	163940155
	.long	1072632044
	.long	1982599811
	.long	1015910514
	.long	-722266761
	.long	1070574318
	.long	1351496376
	.long	-1134469752
	.long	-1619136863
	.long	1072628052
	.long	-1712993539
	.long	1015888926
	.long	-1083894436
	.long	1070616924
	.long	-1644327224
	.long	-1132873534
	.long	806170406
	.long	1072623937
	.long	148820850
	.long	-1132287461
	.long	-822909898
	.long	1070648576
	.long	211018421
	.long	-1132856566
	.long	-71241444
	.long	1072619697
	.long	-2135178319
	.long	-1135870685
	.long	-1433084437
	.long	1070680161
	.long	-1246358108
	.long	-1133778815
	.long	1154871201
	.long	1072615335
	.long	1257587152
	.long	-1135252214
	.long	1690744950
	.long	1070711677
	.long	-32649227
	.long	1014259830
	.long	1333194664
	.long	1072610849
	.long	314201150
	.long	-1132449889
	.long	286961462
	.long	1070743122
	.long	860815128
	.long	-1133186944
	.long	1639690063
	.long	1072606240
	.long	1049912717
	.long	1013105109
	.long	-1002523489
	.long	1070774493
	.long	-1712138233
	.long	1013011768
	.long	-1012413053
	.long	1072601508
	.long	465911016
	.long	-1132321205
	.long	-1811636345
	.long	1070805790
	.long	-1274269652
	.long	1014893750
	.long	-1087788563
	.long	1072596654
	.long	-38053721
	.long	1015626106
	.long	-1754672168
	.long	1070837010
	.long	75989912
	.long	1006648661
	.long	-1608958656
	.long	1072591678
	.long	893832723
	.long	-1132051829
	.long	-425793897
	.long	1070868151
	.long	1459996063
	.long	-1132525113
	.long	-1271469616
	.long	1072586580
	.long	-802174788
	.long	1015540495
	.long	-1693500128
	.long	1070899212
	.long	1806732973
	.long	1014506426
	.long	1261061276
	.long	1072581361
	.long	780822579
	.long	-1132032864
	.long	-815224966
	.long	1070930190
	.long	1441722611
	.long	1014707569
	.long	-1233070427
	.long	1072576020
	.long	-1442753993
	.long	-1133348973
	.long	-1616710249
	.long	1070961084
	.long	-1405099829
	.long	1013434187
	.long	1236063937
	.long	1072570559
	.long	-940612756
	.long	-1135189842
	.long	688359285
	.long	1070991892
	.long	195596595
	.long	1012604888
	.long	1510202318
	.long	1072564977
	.long	41360102
	.long	1012918503
	.long	-1975986185
	.long	1071022611
	.long	38029997
	.long	-1132623726
	.long	1052608350
	.long	1072559275
	.long	2120693444
	.long	-1131532918
	.long	-482737579
	.long	1071053240
	.long	1323948557
	.long	1014246337
	.long	1358047446
	.long	1072553453
	.long	-735337793
	.long	-1133608760
	.long	1433813524
	.long	1071083778
	.long	827045582
	.long	-1134105897
	.long	-342271726
	.long	1072547511
	.long	2003684661
	.long	1012183908
	.long	63466830
	.long	1071114222
	.long	-624993550
	.long	-1132764228
	.long	1804111491
	.long	1072541451
	.long	727604458
	.long	1015686302
	.long	310536521
	.long	1071144570
	.long	-1688228640
	.long	1014539278
	.long	795978204
	.long	1072535272
	.long	-707656803
	.long	1016067611
	.long	-1485530833
	.long	1071174820
	.long	-361340122
	.long	1014254082
	.long	-1746830518
	.long	1072528974
	.long	892071316
	.long	-1134315664
	.long	-369801531
	.long	1071204971
	.long	1047019352
	.long	-1133077279
	.long	121520192
	.long	1072522559
	.long	1129049143
	.long	-1131978186
	.long	48760080
	.long	1071235022
	.long	-1558138716
	.long	1014013497
	.long	-507110944
	.long	1072516025
	.long	2005241697
	.long	1016018107
	.long	482675914
	.long	1071264969
	.long	995151565
	.long	-1134939890
	.long	-1920107514
	.long	1072509375
	.long	814336989
	.long	1014915293
	.long	1671467639
	.long	1071294811
	.long	-1321467007
	.long	-1134155458
	.long	1920832752
	.long	1072502608
	.long	516007054
	.long	1015076139
	.long	87168535
	.long	1071324547
	.long	-879102695
	.long	-1132797374
	.long	-95244897
	.long	1072495724
	.long	1351559693
	.long	1015592373
	.long	819702851
	.long	1071354174
	.long	795623409
	.long	-1132578643
	.long	-1868922139
	.long	1072488725
	.long	-1154412390
	.long	1015148857
	.long	397492387
	.long	1071383691
	.long	1971232679
	.long	1013030886
	.long	-1565354194
	.long	1072481610
	.long	732445336
	.long	1013247510
	.long	-327167586
	.long	1071413095
	.long	440227878
	.long	-1134644915
	.long	-1614381813
	.long	1072474380
	.long	1214133346
	.long	-1134269823
	.long	-472603361
	.long	1071442386
	.long	316334744
	.long	-1134363510
	.long	-120710524
	.long	1072467035
	.long	-1588002525
	.long	1014674385
	.long	872707681
	.long	1071471562
	.long	-1486896484
	.long	1014139460
	.long	546039099
	.long	1072459577
	.long	-72688830
	.long	-1131986469
	.long	355638426
	.long	1071500620
	.long	-512623206
	.long	1014027462
	.long	-1953818786
	.long	1072452004
	.long	999991424
	.long	-1134445644
	.long	-1051186583
	.long	1071529558
	.long	278526095
	.long	-1135565694
	.long	-1340220031
	.long	1072444318
	.long	-293419584
	.long	-1131631883
	.long	1951073776
	.long	1071558376
	.long	1016791677
	.long	-1135113804
	.long	106659152
	.long	1072436520
	.long	320006184
	.long	-1131900399
	.long	1808071035
	.long	1071587071
	.long	-123252132
	.long	1014067730
	.long	136213814
	.long	1072428609
	.long	371763617
	.long	1015774167
	.long	-412435305
	.long	1071615641
	.long	-1356005213
	.long	1012521296
	.long	822252789
	.long	1072420586
	.long	-930344803
	.long	1014176700
	.long	684914042
	.long	1071644086
	.long	781212522
	.long	1013926553
	.long	-27062478
	.long	1072412451
	.long	1160579641
	.long	1014442962
	.long	969316693
	.long	1071658537
	.long	2017032961
	.long	-1132275507
	.long	-279411698
	.long	1072404206
	.long	-946885152
	.long	1012161084
	.long	-2037092773
	.long	1071672630
	.long	1161363227
	.long	1015281070
	.long	-2068380478
	.long	1072395851
	.long	-1038403429
	.long	-1131456440
	.long	513675265
	.long	1071686658
	.long	-1590094602
	.long	-1132005821
	.long	1091309646
	.long	1072387386
	.long	1191344662
	.long	1012465529
	.long	649422638
	.long	1071700619
	.long	-255923959
	.long	-1131783970
	.long	-1466136248
	.long	1072378811
	.long	488598697
	.long	1015981733
	.long	-994665413
	.long	1071714512
	.long	-1736402559
	.long	1015910793
	.long	1096983750
	.long	1072370128
	.long	519815362
	.long	1014095190
	.long	529235842
	.long	1071728338
	.long	1579628968
	.long	1014757715
	.long	-1827941771
	.long	1072361336
	.long	2037673876
	.long	-1132493982
	.long	1596911024
	.long	1071742094
	.long	271459464
	.long	1013145175
	.long	653696485
	.long	1072352437
	.long	-1915308340
	.long	1015610218
	.long	-1397739555
	.long	1071755780
	.long	1892398591
	.long	-1134618356
	.long	-2010085101
	.long	1072343430
	.long	130895984
	.long	-1140096042
	.long	842422092
	.long	1071769396
	.long	-1527505574
	.long	1014114879
	.long	1131667501
	.long	1072334317
	.long	945735570
	.long	1013562886
	.long	453219535
	.long	1071782940
	.long	1260628529
	.long	1012816690
	.long	-416971089
	.long	1072325097
	.long	-486718145
	.long	1015382832
	.long	-1820816453
	.long	1071796411
	.long	609729742
	.long	1014932432
	.long	55754191
	.long	1072315773
	.long	-324954519
	.long	-1132032582
	.long	-921198489
	.long	1071809809
	.long	-643732624
	.long	-1132454415
	.long	699327557
	.long	1072306343
	.long	1936458584
	.long	1010392613
	.long	-360168930
	.long	1071823133
	.long	-618566992
	.long	-1131437199
	.long	-309252219
	.long	1072296808
	.long	-981920250
	.long	-1132342784
	.long	664416386
	.long	1071836383
	.long	-521673858
	.long	1015887191
	.long	-470655396
	.long	1072287170
	.long	312033122
	.long	1015282065
	.long	-1320633265
	.long	1071849556
	.long	156898139
	.long	1016032066
	.long	-1553308396
	.long	1072277429
	.long	-861952087
	.long	1015489231
	.long	-1178729625
	.long	1071862653
	.long	2062565616
	.long	1013658238
	.long	-1003613424
	.long	1072267585
	.long	76083341
	.long	1015881720
	.long	1951803435
	.long	1071875673
	.long	-1455749208
	.long	-1133441107
	.long	-536038915
	.long	1072257639
	.long	-1574992339
	.long	-1132413187
	.long	362972170
	.long	1071888615
	.long	-1479348101
	.long	-1132890541
	.long	-1838309742
	.long	1072247592
	.long	56626394
	.long	-1131694224
	.long	-747842246
	.long	1071901477
	.long	-514388032
	.long	-1134828176
	.long	2018368247
	.long	1072237444
	.long	179911559
	.long	-1133445455
	.long	-457545840
	.long	1071914260
	.long	-762843915
	.long	1015308431
	.long	809343697
	.long	1072227196
	.long	-1254274056
	.long	-1134271580
	.long	-2117126037
	.long	1071926963
	.long	510285061
	.long	-1132204692
	.long	1516095744
	.long	1072216848
	.long	1049916609
	.long	1015571424
	.long	-466545249
	.long	1071939584
	.long	1952705808
	.long	-1131734710
	.long	-1738701025
	.long	1072206401
	.long	-1005326972
	.long	1015826649
	.long	1185593185
	.long	1071952124
	.long	1938605466
	.long	1008785925
	.long	-1921538362
	.long	1072195856
	.long	-490739235
	.long	1014184191
	.long	-447818469
	.long	1071964580
	.long	-1984444566
	.long	-1131787985
	.long	-563077984
	.long	1072185213
	.long	1620821736
	.long	-1136569649
	.long	-42257124
	.long	1071976953
	.long	1640269873
	.long	-1132085016
	.long	831614301
	.long	1072174474
	.long	193079518
	.long	-1133647687
	.long	-841238748
	.long	1071989242
	.long	-2061446255
	.long	1014117058
	.long	782898312
	.long	1072163638
	.long	-1532652129
	.long	1012538725
	.long	-1771218509
	.long	1072001446
	.long	1292874136
	.long	1012696123
	.long	2131354959
	.long	1072152706
	.long	-685052312
	.long	-1133743146
	.long	-1736361454
	.long	1072013564
	.long	-1210834309
	.long	-1131576606
	.long	-847289021
	.long	1072141679
	.long	-371959068
	.long	-1131761034
	.long	381652749
	.long	1072025596
	.long	1894471562
	.long	1015639219
	.long	-967499489
	.long	1072130558
	.long	-812881723
	.long	-1134024747
	.long	1428856407
	.long	1072037540
	.long	-135389001
	.long	1015068366
	.long	391052193
	.long	1072119344
	.long	1033153887
	.long	-1134177362
	.long	-1725846407
	.long	1072049396
	.long	1438000154
	.long	-1131487848
	.long	1873245816
	.long	1072108036
	.long	-1526555519
	.long	1015293360
	.long	694413141
	.long	1072061164
	.long	1802569020
	.long	1015097081
	.long	-2146634402
	.long	1072096636
	.long	-556019546
	.long	1015415430
	.long	1309887279
	.long	1072072842
	.long	1984222694
	.long	-1132021805
	.long	-90244259
	.long	1072085144
	.long	-2033388366
	.long	1014061767
	.long	1354203674
	.long	1072084430
	.long	-1888473585
	.long	-1134177003
	.long	-1830067629
	.long	1072073562
	.long	-645531492
	.long	-1131828966
	.long	2084617697
	.long	1072095927
	.long	-2055230125
	.long	-1133451479
	.long	-34894662
	.long	1072061889
	.long	1194556535
	.long	-1134986213
	.long	487230528
	.long	1072107333
	.long	948270861
	.long	1013546718
	.long	-234778169
	.long	1072050127
	.long	-1990764817
	.long	1013813571
	.long	-2132892296
	.long	1072118646
	.long	115085986
	.long	-1133370237
	.long	653616095
	.long	1072038277
	.long	-521915696
	.long	1015311525
	.long	-151538396
	.long	1072129866
	.long	-1800633176
	.long	1014930751
	.long	1441919354
	.long	1072026338
	.long	80251179
	.long	1015034177
	.long	-805036718
	.long	1072140993
	.long	-290237205
	.long	-1131757819
	.long	964837495
	.long	1072014312
	.long	660192866
	.long	1015294122
	.long	1579725762
	.long	1072152026
	.long	2093810579
	.long	1011536153
	.long	-1920039950
	.long	1072002199
	.long	-1356321501
	.long	1016022804
	.long	-184321703
	.long	1072162963
	.long	-1436218292
	.long	1015082747
	.long	257502373
	.long	1071990001
	.long	-423123409
	.long	-1131513112
	.long	-374453340
	.long	1072173805
	.long	-549442086
	.long	-1131969782
	.long	2105275354
	.long	1071977717
	.long	-2139897255
	.long	1014266384
